* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    font-family: 'Montserrat', sans-serif;
}

body {
    background-color: #fff;
    color: #000000;
}

.header {
    position: absolute;
    top: 0;
    width: 100%;
    padding: 25px 60px;
    display: flex;
    justify-content: space-between;
    align-items: center;
    z-index: 10;
}

.logo {
    font-size: 25px;
    font-weight: 600;
    line-height: 1.2;
}

.logo span {
    color: rgb(255, 225, 0);
}

.logo small {
    display: block;
    font-size: 12px;
    font-weight: 100;
}


.nav a {
    margin-left: 30px;
    text-decoration: none;
    color: #000000;
    font-size: 14px;
    font-weight: 600;
    letter-spacing: 2px;
    opacity: 0.85;
    display: inline-block;
    transition: transform 0.3s ease;
}

.nav span {
    color: rgb(255, 225, 0);
}

.nav a:hover {
    transform: scale(1.15);
}


.site-footer {
    margin-top: 4%;
    background-color: #fff;
    color: #1f1f1f;
    padding: 60px 10% 20px;
    font-size: 15px;
}

.footer-container {
    display: grid;
    grid-template-columns: repeat(auto-fit, minmax(220px, 1fr));
    gap: 40px;
}

.site-footer h3,
.site-footer h4 {
    color: #000000;
    margin-bottom: 15px;
}

.site-footer p {
    line-height: 1.6;
}

.footer-links ul {
    list-style: none;
    padding: 0;
}

.footer-links li {
    margin-bottom: 8px;
}

.footer-links a,
.footer-contact a,
.footer-link {
    color: #b9752d;
    text-decoration: none;
}

.footer-links a:hover,
.footer-contact a:hover,
.footer-link:hover {
    text-decoration: underline;
}

.footer-social img {
    width: 50px;
    height: 50px;
    margin-right: 10px;
}

.footer-bottom {
    border-top: 1px solid #000000;
    margin-top: 40px;
    padding-top: 20px;
    text-align: center;
    font-size: 14px;
    color: #1f1f1f;
}

.footer-socials a {
    display: inline-block;
    border: none;
    padding: 0;
    cursor: pointer;
}

/* Formulário (caso ainda não tenha estilo) */
.footer-contact input,
.footer-contact textarea {
    background-color: #f3f2f2b9;
    width: 100%;
    padding: 12px;
    margin-bottom: 12px;
    border-radius: 6px;
    border: none;
}

.footer-contact button {
    width: 100%;
    padding: 12px;
    background-color: #000000;
    color: #ffffff;
    border: none;
    border-radius: 6px;
    cursor: pointer;
}

.footer-contact button:hover {
    opacity: 0.9;
}

/* BOTÃO MENU MOBILE */
.menu-mobile {
    display: none;
    font-size: 26px;
    cursor: pointer;
    z-index: 1001;
}

/* MENU MOBILE BASE */
.mobile-nav {
    position: fixed;
    top: 0;
    right: -100%;
    width: 320px;
    height: 100vh;
    background: #ffffff;
    box-shadow: -10px 0 30px rgba(0, 0, 0, 0.15);
    display: flex;
    flex-direction: column;
    padding: 120px 30px;
    gap: 25px;
    transition: right 0.4s ease;
    z-index: 1000;
}

.mobile-nav a {
    text-decoration: none;
    font-size: 15px;
    font-weight: 600;
    letter-spacing: 2px;
    color: #000;
}

/* MENU ABERTO */
.mobile-nav.active {
    right: 0;
}

/* ===== 900px até 500px ===== */
@media (max-width: 900px) {
    .mobile-nav span {
        color: rgb(255, 225, 0);
        /* Destaque em amarelo para parte da logo */
    }

    .nav {
        display: none;
    }

    .menu-mobile {
        display: block;
    }
}

/* ===== abaixo de 500px ===== */
@media (max-width: 500px) {

    .mobile-nav {
        width: 100%;
        padding: 140px 40px;
        text-align: center;
    }

    .mobile-nav a {
        font-size: 18px;
    }
}